function f=f_pair_blur_o1_n1(image,img_l,img_r,dis_l,dis_r,index,weight)

f0=blur_value_new(image,1,1);
fl=blur_value_new(img_l,1,1);
fr=blur_value_new(img_r,1,1);

w=mean2(weight);
if index==1
    f=fl*w+fr*(1-w);
else
    f=fr*w+fl*(1-w);
end
tt=f;
if f>=0.91
    f1=f;
    f2=0;
else
    f1=0;
    f2=f;
end
f=[f1,f2,tt];
end